Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.assembler
Interface Assembler

    public interface Assembler

An Assembler creates objects from their RDF descriptions. The root motivation is to create Models, but other objects are required as sub-components of those Models, so a general mechanism is available.

Author:
  kers

Field Summary
`static Assembler` | `connection`
`static Assembler` | `content`
`static Assembler` | `defaultModel`
`static Assembler` | `documentManager`
`static Assembler` | `fileManager`
`static Assembler` | `fileModel`
`static com.hp.hpl.jena.assembler.assemblers.AssemblerGroup` | `general`
`static Assembler` | `infModel`
`static Assembler` | `locationMapper`
`static Assembler` | `memoryModel`
`static Assembler` | `modelSource`
`static Assembler` | `ontModel`
`static Assembler` | `ontModelSpec`
`static Assembler` | `prefixMapping`
`static Assembler` | `rdbModel`
`static Assembler` | `reasonerFactory`
`static Assembler` | `ruleSet`
`static Assembler` | `unionModel`

Method Summary
`java.lang.Object` | `open(Assembler a, Resource root)` Answer `open( a, root, Mode.DEFAULT )`.
`java.lang.Object` | `open(Assembler a, Resource root, Mode mode)` The core operation: answer a new object constructed according to the object description hanging from `root`, using the assembler `a` for any sub-objects.
`java.lang.Object` | `open(Resource root)` Answer `open( this, root, Mode.DEFAULT )`.
`Model` | `openModel(Resource root)` Answer `(Model) open( this, root, Mode.DEFAULT )`, unless the result cannot be or is not a Model, in which case throw an exception.
`Model` | `openModel(Resource root, Mode mode)` Answer `(Model) open( this, root, mode )`, unless the result cannot be or is not a Model, in which case throw an exception.

Field Detail

### defaultModel

    static final Assembler defaultModel

### memoryModel

    static final Assembler memoryModel

### infModel

    static final Assembler infModel

### rdbModel

    static final Assembler rdbModel

### ontModel

    static final Assembler ontModel

### reasonerFactory

    static final Assembler reasonerFactory

### content

    static final Assembler content

### connection

    static final Assembler connection

### prefixMapping

    static final Assembler prefixMapping

### fileModel

    static final Assembler fileModel

### unionModel

    static final Assembler unionModel

### ontModelSpec

    static final Assembler ontModelSpec

### ruleSet

    static final Assembler ruleSet

### modelSource

    static final Assembler modelSource

### locationMapper

    static final Assembler locationMapper

### fileManager

    static final Assembler fileManager

### documentManager

    static final Assembler documentManager

### general

    static final com.hp.hpl.jena.assembler.assemblers.AssemblerGroup general

Method Detail

### open

    java.lang.Object open(Assembler a,
                          Resource root,
                          Mode mode)

  The core operation: answer a new object constructed according to the object description hanging from `root`, using the assembler `a` for any sub-objects. Use `mode` to decide if persistent objects are to be re-used or created; this mode is passed down to all sub-object construction.

### open

    java.lang.Object open(Assembler a,
                          Resource root)

  Answer `open( a, root, Mode.DEFAULT )`.

### open

    java.lang.Object open(Resource root)

  Answer `open( this, root, Mode.DEFAULT )`.

### openModel

    Model openModel(Resource root)

  Answer `(Model) open( this, root, Mode.DEFAULT )`, unless the result cannot be or is not a Model, in which case throw an exception.

### openModel

    Model openModel(Resource root,
                    Mode mode)

  Answer `(Model) open( this, root, mode )`, unless the result cannot be or is not a Model, in which case throw an exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP